require "spec_helper"

describe Cubaru::V1::Resource do

	before :each do
		@api_key = "test"
	end

	subject(:resource) { Cubaru(api_key: @api_key) }

	describe "when Cubaru is initialized" do
		it "should receive and contain default options when Cubaru is initialized" do
			expect(resource.options[:protocol]).to eq "https"
			expect(resource.options[:api_host]).to eq "api.cubaru.com"
		end

		it "should have API key in options" do
			expect(resource.options[:api_key]).to eq @api_key
		end
	end

	it "should return addresses resource" do
		expect(resource.addresses).to be_kind_of(Cubaru::V1::Address::Resource)
	end

	it "should return postcards resource" do
		expect(resource.postcards).to be_kind_of(Cubaru::V1::Postcard::Resource)
	end

end
