require 'spec_helper'

module Cubaru
	module Test
		class Resource
			attr_accessor :options
			def initialize(options)
				@options = options
			end
		end
	end
end

describe Cubaru do
	it "should return the resource object for the specified version" do
		expect(Cubaru(api_key: "test", api_version: "test")).to be_kind_of(Cubaru::Test::Resource)
	end

	it "should raise an error if API key is not passed as an option or set on module" do
		Cubaru.api_key = nil  # make sure API key is nil
		expect{ Cubaru() }.to raise_error(ArgumentError)
	end

	it "should *not* raise an error if API key has been on module and not passed as option" do
		Cubaru.api_key = "test"
		expect(Cubaru()).not_to be_nil
	end

	it "should pass the API key to the resource for the version" do
		expect(Cubaru(api_key: "test").options[:api_key]).to eq "test"
	end
end
